/* User Module asbtraction : login, subscribe, profile */
/* Main */

section.user {
  width: 100%;
  margin: 0 auto 0 auto;
}

section.user label { width: 100%; }
section.user input, section.user select  { width: 95%; }
section.user i { width: 5%; }
div.tag input { width: 85%; }
div.tag button.ok {
  width: 10%;
  padding: 0.6em;
  margin-top: 0.3em;
  font-weight: bold;
}

section.user input[type=submit] {
  text-transform: uppercase;
  margin-left: 30%;
  width: 70%;
}

div.tag ul {
  list-style-type: none;
  width: 100%;
}

div.tag ul li {
  display: inline;
}

div.tag label {
  clear: left;
}

i.icon-cancel {
  cursor: pointer;
} 

/* Tablet and Up */
@media (min-width: 40em) {
  section.user { width: 80%; }
  section.user input[type=submit] {
    margin-left: 70%;
    width: 30%;
  }
}
/* Desktop and Up */
@media (min-width: 60em) {
  section.user { width: 40em; }

  section.user label { width: 50%; }
  section.user input, section.user select { width: 45%; }
  div.tag input { width: 35%; }
}

section.user > h2 { color: #a15014; }
section.user a {
  color: #333333; 
  background: none;
  font-size: smaller;
}

section.user > form {
  background: #fff8e3;
  border: 0.1em solid #ffcf4f;
  border-radius: 0.2em;
  padding: 1em;
}

section.user > fieldset > legend {
  font: 1.4em bold;
  padding-bottom: 0.6em;
}

section.user > fieldset > legend.opt {
  font: 1.3em bold;
  padding-bottom: 0.4em;
  color: #949494;
  border-color: #949494;
}

/* User Aside */

section.user-aside {
  margin: 1em;
}

section.user-aside > h2 {
  text-align: center;
  color: #3e3363;
}

section.user-aside > article {
  background: #d3c5e8;
  border: 0.15em solid #9876cc;
  border-radius: 0.5em;
  padding: 1em;
}
